package com.njzscloud.supervisory.sys.endpoint.contant;

import com.njzscloud.common.core.ienum.DictStr;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 字典代码：request_method
 * 字典名称：HTTP 请求方式
 */
@Getter
@RequiredArgsConstructor
public enum RequestMethod implements DictStr {
    GET("GET", "GET 请求"),
    POST("POST", "POST 请求"),
    PUT("PUT", "PUT 请求"),
    DELETE("DELETE", "DELETE 请求");

    private final String val;
    private final String txt;
}    
